package com.codigoparallevar.minicards.types;

public class Tuple4<T, T1, T2, T3> {

    public final T _x1;
    public final T1 _x2;
    public final T2 _y1;
    public final T3 _y2;

    public Tuple4(T x1, T1 x2, T2 y1, T3 y2) {
        _x1 = x1;
        _x2 = x2;
        _y1 = y1;
        _y2 = y2;
    }

    @Override
    public String toString(){
        return "(" + _x1 + " - " + _x2 + ", " + _y1 + " - " + _y2 + ")";
    }
}
